#
# spec file for package intel-ixgbe
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           intel-ixgbe
Summary:        Linux ixgbe Base Driver for Intel(R) Network Connection
License:        GPL-2.0+
Group:          System/Kernel
Version:        3.14.5
Release:        2.2
Source0:        ixgbe-%{version}.tar.bz2
Source1:        preamble
Url:            http://sourceforge.net/projects/e1000/

BuildRequires:  kernel-source
BuildRequires:  kernel-syms
BuildRequires:  module-init-tools
BuildRequires:  pciutils-ids
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} == 1110
%suse_kernel_module_package kdump ec2 um -p %_sourcedir/preamble
%else
%suse_kernel_module_package kdump um -p %_sourcedir/preamble
%endif

%description
Linux ixgbe Base Driver for Intel(R) Network Connection.

%package KMP

Summary:        Linux ixgbe Base Driver for Intel(R) Network Connection
Group:          System/Kernel

%description KMP
Linux ixgbe Base Driver for Intel(R) Network Connection.

%prep
%setup -n ixgbe-%{version}
set -- *
mv src source
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor \
        KSRC=/usr/src/linux-obj/%_target_cpu/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done
mkdir -p $RPM_BUILD_ROOT/usr/share/pci.ids.d
install -D -m 644 pci.updates $RPM_BUILD_ROOT/usr/share/pci.ids.d/pci.ids.intel-ixgbe-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man7
install -m 644 -D ixgbe.7 $RPM_BUILD_ROOT/%{_mandir}/man7
gzip -9nf $RPM_BUILD_ROOT/%{_mandir}/man?/*.?

%clean
rm -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%{_mandir}/man7/ixgbe.7.gz
/usr/share/pci.ids.d/pci.ids.intel-ixgbe-%{version}
%doc COPYING README

%post 
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi

%postun
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi

%changelog
* Fri May 10 2013 cs@linux-administrator.com
- update to 3.14.5
* Tue Dec 18 2012 cs@linux-administrator.com
- initial build
